
Summary:	 KIOSK administration admin tool
Name:		 kiosktool
Version:	 1.0
Release:	 1.fc3
License:	 GPL
Group:		 System Environment/Base
URL:		 http://extragear.kde.org/apps/kiosktool.php

Distribution:    Fedora Core 3
Vendor:          National Library Board, Singapore.
Packager:        Han Lin <han_lin_teh@nlb.gov.sg>

Source: ftp://ftp.kde.org/pub/kde/stable/apps/KDE3.x/admin/kiosktool-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
A Point and Click tool for system administrators to enable KDE's KIOSK features
or otherwise preconfigure KDE for groups of users. 

#%define _unpackaged_files_terminate_build 0 
#%define _missing_doc_files_terminate_build 0

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -fomit-frame-pointer"
./configure --prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --mandir=/usr/share/man --localstatedir=/var
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%attr(0511,root,root) %{_bindir}/kiosktool
%attr(0511,root,root) %{_bindir}/kiosktool-kdedirs
%attr(0644,root,root) /usr/share/locale/bg/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/ca/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/cs/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/da/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/en_GB/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/es/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/et/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/fr/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/is/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/it/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/nl/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/pt/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/pt_BR/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/ro/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/sr/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/sv/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/ta/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/tr/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/xx/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/br/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/cy/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/de/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/ga/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/lt/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/mt/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/ru/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/locale/sr@Latn/LC_MESSAGES/kiosktool.mo
%attr(0644,root,root) /usr/share/doc/HTML/en/kiosktool/extra-steps.docbook
%attr(0644,root,root) /usr/share/doc/HTML/en/kiosktool/index.cache.bz2
%attr(0644,root,root) /usr/share/doc/HTML/en/kiosktool/index.docbook
%attr(0644,root,root) /usr/share/doc/HTML/en/kiosktool/introduction.docbook
%attr(0644,root,root) /usr/share/doc/HTML/en/kiosktool/profile-assign.docbook
%attr(0644,root,root) /usr/share/doc/HTML/en/kiosktool/profile-create.docbook
%attr(0644,root,root) /usr/share/doc/HTML/en/kiosktool/profile-setup.docbook
%attr(0644,root,root) /usr/share/doc/HTML/en/kiosktool/profiles.docbook
%attr(0644,root,root) /usr/share/doc/HTML/en/kiosktool/settings.docbook
%attr(0644,root,root) /usr/share/applications/kde/kiosktool.desktop

%doc ChangeLog README
/usr/share/apps/*
#/usr/share/applnk/Utilities/kiosktool.desktop
/usr/share/apps/kiosktool
/usr/share/icons/crystalsvg/*/apps/kiosktool.png


%changelog
* Tue Apr 26 2005 Han Lin <han_lin_teh@nlb.gov.sg> - 1.0-1
- Update to version 1.0

* Sun Apr 23 2005 Han Lin <han_lin_teh@nlb.gov.sg> - 0.9-1
- Update to version 0.9.

* Wed Jul 14 2004 Dries Verachtert <dries@ulyssis.org> - 0.7-1
- Update to version 0.7.

* Fri Jun 11 2004 Dries Verachtert <dries@ulyssis.org> - 0.5-1
- Update to version 0.5.

* Sat May 29 2004 Dries Verachtert <dries@ulyssis.org> - 0.4.1-1
- Initial package.
